Subject: [Acme] AD review: draft-ietf-acme-ip-05

From: Roman Danyliw <[email-masked]>
Date: Tue, 16 Apr 2019 14:42:59 +0000

Hi!

I'm pickup up where ekr left off on draft-ietf-acme-ip.  I see that -05 addressed some of the feedback from:

https://mailarchive.ietf.org/arch/msg/acme/bGQtdDZ8i75t3dCt3EjPHxsGoG4

I have a few other items:

(1) A bit of clean-up is needed in the references:
** [FIPS180-4] [RFC4291] [RFC4648]  appear in the references but are not cited in the text
** [I-D.ietf-acme-acme] is now RFC8555

(2) Missing security considerations.  It appears that in pruning the text from -04 to -05, this required section was dropped.  Among other things, please include the clarity suggested here:

https://mailarchive.ietf.org/arch/msg/acme/j8peTskrxupK0AyJyJomS99iOqw

(3) Section 8.1 -- I recommend clearer language in the IANA considerations 8.1 by fully spelling out the registry names and ensure the registry column names align with this text:

OLD: Adds a new type to the Identifier list defined in Section 9.7.7 of [I-D.ietf-acme-acme] with the label "ip" and reference I-D.ietf-acme-ip.
NEW: Adds a new type to the "ACME Identifier Types" registry defined in Section 9.7.7 of [RFC8555] with a Label "ip" and Reference to this draft.

(4) Section 8.2 - I think the intent of this IANA action is to have "ip" be an Identifier Type for the Labels "http-01" and "tls-alpn-01" in "ACME Validation Methods" registry.  This text isn't clear to me on execution - is text proposing (option #1) to modifying the existing entry in the registry (my read of the text, but two identifier types doesn't seem to be supported in the RFC8555 text), or (option #2) add another registry entry?  Is it:

(option #1) http-01, dns and ip

OR

(option #2) http-01, dns
http-01, ip   

Regards,
Roman